#include <bits/stdc++.h>

using namespace std;
int a[200002],b[200002];
int main()
{
    int n;
    scanf("%d",&n);
    for(int i=0;i<n;i++) scanf("%d%d",&a[i],&b[i]);
    if(n==1) printf("0");
    else if(n==2) {
        if(a[0]==a[1]||b[0]==b[1]) printf("1");
        else printf("0");}
    else {}
    return 0;
}